IAxisDataSeries (jCharts-0.7.5 API)
Keywords: org.jCharts.chartData.interfaces.IAxisDataSeries,IAxisDataSeries interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartData.interfaces
Interface IAxisDataSeries

All Superinterfaces:
  IData, java.io.Serializable

All Known Subinterfaces:
  IDataSeries, IScatterPlotDataSeries

All Known Implementing Classes:
  AxisDataSeries, DataSeries, ScatterPlotDataSeries

public interface IAxisDataSeries
extends IData

Method Summary
`void` | `addIAxisPlotDataSet(IAxisPlotDataSet iAxisPlotDataSet)`
`java.lang.String` | `getChartTitle()` Returns the chart title.
`IAxisPlotDataSet` | `getIAxisPlotDataSet(ChartType chartType)`
`java.util.Iterator` | `getIAxisPlotDataSetIterator()`
`int` | `getTotalNumberOfDataSets()` Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection.
`java.lang.String` | `getXAxisTitle()` Returns the x-axis title.
`java.lang.String` | `getYAxisTitle()` Returns the y-axis title.
`int` | `size()` Returns the number of IAxisPlotDataSet Objects in this series
`void` | `validate()` Validates the DataSeries implementation.

Method Detail

### getXAxisTitle

    public java.lang.String getXAxisTitle()

  Returns the x-axis title.

  Returns:
    String the x-axis title. If this returns NULL, no title will be displayed.

### getYAxisTitle

    public java.lang.String getYAxisTitle()

  Returns the y-axis title.

  Returns:
    String the y-axis title. If this returns NULL, no title will be displayed.

### getChartTitle

    public java.lang.String getChartTitle()

  Returns the chart title.

  Returns:
    String the chart title. If this returns NULL, no title will be displayed.

### validate

    public void validate()
                  throws ChartDataException,
                         PropertyException

  Validates the DataSeries implementation. This will only get called if the ChartProperties flag to validate is true.

  Throws:
    `ChartDataException`
    `PropertyException`
  Since:
    0.7.0
  See Also:
    `ChartProperties.setValidate( boolean )`

### getIAxisPlotDataSetIterator

    public java.util.Iterator getIAxisPlotDataSetIterator()

### addIAxisPlotDataSet

    public void addIAxisPlotDataSet(IAxisPlotDataSet iAxisPlotDataSet)

### getIAxisPlotDataSet

    public IAxisPlotDataSet getIAxisPlotDataSet(ChartType chartType)

### getTotalNumberOfDataSets

    public int getTotalNumberOfDataSets()

  Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection. For example, if this contains two IAxisChartDataSets and each one contains 3 dimensions ( 3 lines and 3 sets of points ), this should return six. This provides a means to avoid looping the contents of the series each time i need the value.

  Returns:
    int

### size

    public int size()

  Returns the number of IAxisPlotDataSet Objects in this series

  Returns:
    int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD